This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 240348 - Deadlocks on errata import.
Deadlocks on errata import.
Status: NEW
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
rhn500
All Linux
medium Severity medium
: ---
: ---
Assigned To: rhn-dev-list
Red Hat Network Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-16 12:56 EDT by James Bowes
Modified: 2014-03-31 19:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2007-05-16 12:56:46 EDT
In stage, three users tried to import errata at close to the same time. One of
them failed due to an oracle deadlock. The logs don't say much more than that,
so it's possible the cause was all three being done at a similar time. Still, we
should look into this, as this was supposedly fixed by the kickstart index.
Comment 1 David Kovalsky 2007-05-17 08:18:35 EDT
I'm one of them :-) I tried to push procmail errata - 2007:9165-2.

Today I pushed 2 erratas simultaniously, 2007:9208 & 2007:9165 both from
errata.devel, without any issues. 

Comment 2 David Kovalsky 2007-05-17 08:31:12 EDT
Scratch the second paragraph, my fingers are writing something totally different
from what my brain wants. 

Today pushing two erratas at once from errata.devel RHBA-2007:9208 - rusers bug
fix update and RHBA-2007:9154 - mgetty bug fix update (1 second after the first)
I got the deadlock error after waiting for a few minutes. Seems easily reproduceble.

...
Done Pushing Files
Updating issue and update dates to 2007-05-17.
Pushing to RHN (this could take a while)....

Error Message:
    ORA-00060: deadlock detected while waiting for resource
Error Class Code: 23
Error Class Info: Could not update database entry.

pushing to RHN (qa):

Server was http://scripts.vip.stage.redhat.com/BUGZILLA/
Content-Type: text/html

Error 	Push to Red Hat Network failed 1.

Please contact errata-maint@redhat.com if you believe this to be in error.
...

Comment 3 Bret McMillan 2007-05-24 11:50:37 EDT
Grant, please track this with the other db stuff

Note You need to log in before you can comment on or make changes to this bug.